Request account websites

Starts a job to get attributes for each website on an account, and adds new URLs in websites to the account. To add or remove websites without analyzing them, use Update account websites.

Lifecycle: poll List account websites with the request_id: 425 means not ready, 206 means partial data, and 200 means complete (see Handle async requests).

sequenceDiagram
  accTitle: Request account websites sequence diagram
  accDescr: Request account websites. You send POST .../websites/. Coris replies 201 request_id. You send GET ?request_id=... Coris replies 425 not ready, or 206 partial data. You send GET ?request_id=... Coris replies 200 complete. Coris sends POST callback_url, if sent.
  participant You
  participant Coris
  You->>Coris: POST .../websites/
  Coris-->>You: 201 request_id
  You->>Coris: GET ?request_id=...
  Coris-->>You: 425 not ready, or 206 partial data
  You->>Coris: GET ?request_id=...
  Coris-->>You: 200 complete
  Coris->>You: POST callback_url, if sent
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The account's Coris ID or your reference_id. Example: your_id_1.

Body Params

Account Website Request

websites
array of strings

A list of full website URLs to get attributes for, or omit it to use all websites on the account. Coris normalizes URLs and adds new ones to the account, though duplicates can occur.

websites
sources
array of strings

A list of website sources to include, such as stripe or api, or omit it to use all sources.

sources
Allowed:
uri

A public HTTPS URL where Coris posts the result, if you want to skip polling.

integer

The minimum delay before the callback, in seconds, up to a recommended 3600. Send it if you might receive the callback before you store request_id.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Callback
Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html